cURL
curl --request GET \ --url https://api.hyra.io/staff/assignments/{workspaceId}/{staffId} \ --header 'Authorization: Bearer <token>'
{ "assigned": [ { "active": true, "_id": "<string>", "target": 123, "target_type": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "name": "<string>", "completed": 123, "due": "2023-11-07T05:31:56Z", "description": "<string>" } ], "history": [ { "_id": "<string>", "week_start": "2023-11-07T05:31:56Z", "week_end": "2023-11-07T05:31:56Z", "week_number": 123, "year": 123, "assignment": "<string>", "assignment_name": "<string>", "marked_at": "2023-11-07T05:31:56Z", "passed": true, "target": 123, "target_type": "<string>", "achieved": 123, "timeoff": true } ] }
Retrieve assignment information for a staff member
Documentation IndexFetch the complete documentation index at: https://docs.hyra.io/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Default Response
Show child attributes